# MatMFFDSetType

Sets the method that is used to compute the differencing parameter for finite differene matrix-free formulations.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMFFDSetType(Mat mat,MatMFFDType ftype)

### Input Parameters

| mat | - the "matrix-free" matrix created via MatCreateSNESMF(), or MatCreateMFFD() or MatSetType(mat,MATMFFD);
| ftype | - the type requested, either MATMFFD_WP or MATMFFD_DS

### Notes

For example, such routines can compute h for use in Jacobian-vector products of the form

F(x+ha) - F(x) F'(u)a ~= ---------------- h

### See Also

MatCreateSNESMF(), MatMFFDRegisterDynamic)

Level:advanced
Location: src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages